#
# spec file for package wlan-ng (Version 0.2.8)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           wlan-ng
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Tools for wlan-ng Drivers
Version:        0.2.8
Release:        37.1
Group:          System/Kernel
License:        GPL v2 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.linux-wlan.org/
AutoReqProv:    on
Source:         linux-wlan-ng-%{version}.tar.bz2
Source1:        config.in
Source2:        mkversionh.sh
Patch1:         linux-wlan-ng.diff
Patch2:         wlan-ng-2.6.22.diff
Source100:      preamble
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -n wlan-ng -p %_sourcedir/preamble kdump um

%description
Some user space tools for setting up interfaces driven by wlan-ng
kernel modules.



Authors:
--------
    AbsoluteValue Systems <info@linux-wlan.com>

%debug_package
%package -n wlan-ng-KMP
Group:          System/Kernel
License:        GPL v2 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Kernel Modules for Prism2/2.5/3 Devices

%description -n wlan-ng-KMP
This package contains drivers for devices based on Intersil Prism2,
Prism2.5, and Prism3 chips. If you have problems running your
Prism2/2.5/3 device with the in-kernel driver hostap, or if you have an
USB adapter with such a chip, install this package.



Authors:
--------
    AbsoluteValue Systems <info@linux-wlan.com>

%prep
%setup -n linux-wlan-ng-%{version}
%patch1
cp %{SOURCE1} config.in
cp %{SOURCE2} mkversionh.sh
%patch2 -p1
#%patch3 -p1

%build
./mkversionh.sh
./Configure -d config.in
make CFLAGS="$RPM_OPT_FLAGS" HOST_CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  mkdir -p obj/$flavor
  cp -r src/p80211 src/Makefile obj/$flavor/
  cp -r src/prism2/driver obj/$flavor/prism2
  cp -r src/include obj/$flavor/include
  cp -r src/prism2/include/prism2 obj/$flavor/include/
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
make TARGET_ROOT_ON_HOST=%{buildroot} \
     TARGET_INST_EXEDIR=%{buildroot}/%{_sbindir} \
     install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/*
%doc %attr(644,root,root) %{_mandir}/man*/*
%doc CHANGES COPYING FAQ  LICENSE README THANKS TODO

%changelog
* Mon Aug 06 2007 - jg@suse.de
- obsolete wlan-kmp
- disable PCI driver in favour of in-kernel hostap driver
* Tue Jun 05 2007 - jeffm@suse.com
- Updated to version 0.2.8
  - Fix up a pile of sparse warnings (Pavel Roskin)
  - Support 2.6.20 kernels (Pavel Roskin)
  - Tweaks to the udev rules (Richard Kennedy)
  - Silence a large pile of warnings with GCC4.1
  - pt_regs is gone for USB as well on 2.6.19+ (Chris Rankin)
  - Large WEXT patch that allows use of NetworkManager. (Richard Kennedy)
- Patched to work with 2.6.22
  - pci_module_init deprecated
  - skbuff API changes
* Fri May 11 2007 - agruen@suse.de
- Fix config.in: look for the configured kernel in
  /lib/modules/`uname -r`/build instead of in /usr/src/linux.
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Mon Mar 26 2007 - jg@suse.de
- removed proprietary firmware files from tarball
* Thu Mar 22 2007 - jg@suse.de
- created own package for linux-wlan-ng (formerly part of wlan-kmp)
